/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Regalo;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface RegaloFacadeLocal {

    void create(Regalo regalo);

    void edit(Regalo regalo);

    void remove(Regalo regalo);

    Regalo find(Object id);

    List<Regalo> findAll();

    List<Regalo> findRange(int[] range);

    int count();

    Regalo BusquedaId(int idRegalo);

    Regalo porSucursal(String sucursalCodigo);

}
